#!/bin/bash

tag=v0.3.3

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=/home/jamie/source/rpmbuild/SOURCES

pushd "$tmp"
git clone git://github.com/gruntjs/grunt-contrib-nodeunit.git
cd grunt-contrib-nodeunit
git archive --prefix="test/" --format=tar tags/${tag}:test/ \
    | bzip2 > "$pwd"/tests-${tag}.tar.bz2
git archive --prefix="docs/" --format=tar tags/${tag}:docs/ \
    | bzip2 > "$pwd"/docs-${tag}.tar.bz2
popd
