%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-grunt-contrib-nodeunit
Version:    0.3.3
Release:    1%{?dist}
Summary:    Run Nodeunit unit tests with grunt
License:    MIT
Group:      System Environment/Libraries
Source0:    http://registry.npmjs.org/grunt-contrib-nodeunit/-/grunt-contrib-nodeunit-%{version}.tgz
# Source1+2 are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-v%{version}.tar.bz2
Source2:    docs-v%{version}.tar.bz2
Source10:   dl-tests.sh
# https://raw.githubusercontent.com/gruntjs/grunt-contrib-nodeunit/3e0885a1f03ba289f9857923092bcf956596cf39/Gruntfile.js
Source20:   %{name}-%{version}-Gruntfile.js

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-clean)
BuildRequires:  npm(grunt-contrib-internal)
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(tap)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package
cp -p %{SOURCE20} ./Gruntfile.js
find docs/ -size 0 -delete


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-contrib-nodeunit
cp -pr package.json tasks/ \
    %{buildroot}%{nodejs_sitelib}/grunt-contrib-nodeunit

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/grunt nodeunit
%endif


%files
%doc LICENSE-MIT README.md docs/
%{nodejs_sitelib}/grunt-contrib-nodeunit


%changelog
* Sat Apr 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.3-2
- update to upstream release 0.3.3

* Mon Feb 24 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.2-1
- update to upstream release 0.3.2
- take Source0 from GitHub as the NPM tarball is missing several useful files
- add missing BuildRequires

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.0-1
- initial package

